#!/bin/bash

############################
# horus.sh
# instructions spécifiques
# pour la reconfiguration 
# du module Horus
############################

# Appel Bibliothèque
. ParseDico

# FIXES BUG #1621
cp -f /etc/sysconfig/eole/global_smb.tmpl /etc/samba/smb.conf

echo -e "\n## gestion du mot de passe LDAP ##"
/usr/share/eole/ldap_pwd.py `/usr/bin/pwgen -1`> /dev/null

# pour les serveurs lents
sleep 1

echo -e "\n## gestion du SID ##"
net setlocalsid `ldapsearch -x sambaDomainName=* | grep sambaSID | awk -F " " '{print $2}'`
/usr/share/eole/set_sid.sh

echo

## synchronisation du fichier smb.conf
/usr/share/horus/synchro-file.py norestart

# On relance le script de firewall
/usr/sbin/lance.firewall

# si Cups est desactivé
touch /etc/printcap

# initialisation/modification du mot de passe root Mysql
if [ "$mysql" == "oui" ]
then
	/usr/share/eole/mysql_pwd.py `/usr/bin/pwgen -1`
	echo
fi

# Bacula
[ ! -e /etc/bacula/eoleschedule.conf ] && touch /etc/bacula/eoleschedule.conf
[ ! -e /etc/bacula/eoleschedulerestreint.conf ] && touch /etc/bacula/eoleschedulerestreint.conf
[ ! -e /etc/bacula/eolemessages.conf ] && touch /etc/bacula/eolemessages.conf
[ ! -e /etc/bacula/typesupport.conf ] && /usr/share/eole/bacula/baculasupport.py -s distant 1>/dev/null
[ ! -e /etc/bacula/listefichiersperso.conf ] && touch /etc/bacula/listefichiersperso.conf
[ ! -e /etc/bacula/listefichiersexperso.conf ] && touch /etc/bacula/listefichiersexperso.conf
[ ! -e /etc/bacula/listefichiersacad.conf ] && touch /etc/bacula/listefichiersacad.conf
[ ! -e /etc/bacula/listefichiersexacad.conf ] && touch /etc/bacula/listefichiersexacad.conf

exit 0
